Let’s Encrypt ‘ACMEv2’ Support in Sympl

As was mentioned back in March, the ‘ACMEv1’ API which Symbiosis (and therefore Sympl) uses to communicate with Let’s Encrypt to automatically retrieve SSL certificate is being retired.

This means that a number of things needed to be fixed in Sympl to facilitate the updated API, and Mythic Beasts again sponsored the development, this time also lending a big hand with the update, meaning that as of today users on the Sympl ‘testing’ branch have full support for the updated API.

We’ll be pushing this update to the stable branch next week once we’re confident that it’s working as expected, well ahead of the November cut-off for the old API.